Subject: Re: bug#5937: 23.1.95; why saving empty abbrev tables

From: Stefan Monnier <[email-masked]>
Date: Mon, 26 Apr 2010 23:49:07 -0400

>>> It seems to make it more difficult for editing (edit-abbrevs) because
>>> the buffer is full of empty abbrev.  I wonder if saving only non-empty
>>> tables is better and user friendlier.
>> It does sound like a good idea.  Any objection?
> Would the following patch be acceptable?

Actually, having tried it now for a while I do have an objection: it
makes it harder to add entries to an abbrev-table if that table
is empty.

So I think a better option is to sort the tables such that empty tables
are pushed to the end.

        Stefan